package com.appcarry.appcarry_sdk;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import io.flutter.plugin.common.EventChannel;

/**
 * Created by Mintu Giri(mintu.giri1997@gmail.com) on 12,March,2021
 */
public class AppCarryBroadcastReceiver extends BroadcastReceiver {
    private final EventChannel.EventSink mEventSink;

    AppCarryBroadcastReceiver(EventChannel.EventSink eventSink){
        this.mEventSink = eventSink;
    }

    @Override
    public void onReceive(Context context, Intent intent) {
        String paramsStr = intent.getStringExtra("params");
        mEventSink.success(paramsStr);
    }
}
